> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.jambonz.org/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.jambonz.org/_mcp/server.

# List Clients

GET https://api.jambonz.cloud/v1/Clients

Returns a list of clients

Reference: https://docs.jambonz.org/reference/rest-platform-management/clients/get-clients

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Response

### 200

retrieve online sip users for an account

- `list of ClientsGetResponsesContentApplicationJsonSchemaItems`

## Types

### ClientsGetResponsesContentApplicationJsonSchemaItems

- `account_sid` (string, optional)
- `client_sid` (string, optional)
- `username` (string, optional)
- `password` (string, optional) — in the response the password will only show the first character with subsequnet ones replaces by an x
- `is_active` (enum, optional, default: 1)
  - Allowed values: `1`, `0`
- `allow_direct_app_calling` (enum, optional, default: 1)
  - Allowed values: `1`, `0`
- `allow_direct_queue_calling` (enum, optional, default: 1)
  - Allowed values: `1`, `0`
- `allow_direct_user_calling` (enum, optional, default: 1)
  - Allowed values: `1`, `0`

## Examples

**Request**

```json
{}
```

**Response**

```json
[
  {
    "account_sid": "a3f1c2d4-5b67-4e89-9f01-23456789abcd",
    "client_sid": "b7e8f9a0-c123-4d56-8e90-abcdef123456",
    "username": "jambonz_user01",
    "password": "pxxxxxxxxxx",
    "is_active": 1,
    "allow_direct_app_calling": 1,
    "allow_direct_queue_calling": 0,
    "allow_direct_user_calling": 1
  },
  {
    "account_sid": "d4e5f6a7-8910-4b32-8cde-0987654321fe",
    "client_sid": "c9d8e7f6-a543-21b0-9c87-fedcba654321",
    "username": "client_2024",
    "password": "axxxxxxxxxx",
    "is_active": 0,
    "allow_direct_app_calling": 0,
    "allow_direct_queue_calling": 1,
    "allow_direct_user_calling": 0
  }
]
```

**SDK Code**

```python
import requests

url = "https://api.jambonz.cloud/v1/Clients"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.jambonz.cloud/v1/Clients';
const options = {
  method: 'GET',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.jambonz.cloud/v1/Clients"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.jambonz.cloud/v1/Clients")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.jambonz.cloud/v1/Clients")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.jambonz.cloud/v1/Clients', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.jambonz.cloud/v1/Clients");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.jambonz.cloud/v1/Clients")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```